Page MenuHomePhabricator

Support paste in MSIE 9, 10. Check if we need to use "beforepaste".
Closed, ResolvedPublic8 Story Points

Description

ve.ce.Surface.js only binds to paste; possibly it also needs to bind to beforepaste to work in modern MSIE too?

Details

Reference
bz65714
Related Gerrit Patches:
VisualEditor/VisualEditor : masterRemove comment about testing 'beforepaste', not required
VisualEditor/VisualEditor : masterFix pasting in IE<=10

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:19 AM
bzimport set Reference to bz65714.

Not needed in IE11, at least.

Probably going to open a few bugs about this, but this looked like it might be relevant.

I was testing pasting from a Word document to MSIE 11 and came up against the following error on paste:

ve.dm.LinearData.static.getType = function(item){
 return this.isCloseElementData(item) ? item.type.slice(1) : item.type;
};
  • Unable to get property 'type' of undefined or null reference

When pasting from FF to IE the header on this page ("The migration from Bugzilla to Phabricator..."), only the non-hyperlinked text ends up pasted so you end up with ". For a smooth migration of your data, and add your Bugzilla email address in Phabricator by now!" (FF to FF and FF to Chrome copies the plain text representation of the hypertext.)

Jdforrester-WMF lowered the priority of this task from High to Low.Jan 9 2015, 10:33 PM

Change 284206 had a related patch set uploaded (by Jforrester):
Fix pasting in IE<=10

https://gerrit.wikimedia.org/r/284206

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 11:48 PM
Jdforrester-WMF renamed this task from VisualEditor: Test whether paste binding needs "beforepaste" for MSIE compatibility to Support paste in MSIE 9, 10 using "beforepaste".Apr 20 2016, 12:04 AM
Jdforrester-WMF closed this task as Resolved.
Jdforrester-WMF assigned this task to Esanders.
Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF set the point value for this task to 8.
Jdforrester-WMF set Security to None.

Change 284206 merged by jenkins-bot:
Fix pasting in IE<=10

https://gerrit.wikimedia.org/r/284206

the chageset isn't really to do with 'beforepaste', but I don't think beforepaste is needed

Esanders renamed this task from Support paste in MSIE 9, 10 using "beforepaste" to Support paste in MSIE 9, 10. Check if we need to use "beforepaste"..Apr 20 2016, 10:37 AM

Change 284438 had a related patch set uploaded (by Esanders):
Remove comment about testing 'beforepaste', not required

https://gerrit.wikimedia.org/r/284438

Change 284438 merged by jenkins-bot:
Remove comment about testing 'beforepaste', not required

https://gerrit.wikimedia.org/r/284438